Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class MultipleCompilationErrorsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.control.CompilationFailedException
                          org.codehaus.groovy.control.MultipleCompilationErrorsException

    public class MultipleCompilationErrorsException
    extends CompilationFailedException

Authors:
  Jochen Theodorou

Field Summary
`protected ErrorCollector` | `collector`

Fields inherited from class CompilationFailedException
phase, unit

Constructor Summary
`MultipleCompilationErrorsException(ErrorCollector ec)`

Method Summary
`ErrorCollector` | `getErrorCollector()`
`java.lang.String` | `getMessage()`

Methods inherited from class CompilationFailedException
getUnit

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Field Detail

### collector

    protected ErrorCollector collector

Constructor Detail

### MultipleCompilationErrorsException

    public MultipleCompilationErrorsException(ErrorCollector ec)

Method Detail

### getErrorCollector

    public ErrorCollector getErrorCollector()

### getMessage

    public java.lang.String getMessage()

Groovy Documentation